| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::LodData::Edge Struct Reference

`#include <OgreLodData.h>`

## Public Member Functions
| Edge (Vertex *destination)
| Edge (const Edge &b)
bool | operator< (const Edge &other) const
Edge & | operator= (const Edge &b)
bool | operator== (const Edge &other) const

## Public Attributes
Real | collapseCost
Vertex * | dst
int | refCount

## Constructor & Destructor Documentation

## ◆ Edge() [1/2]

Ogre::LodData::Edge::Edge | ( | Vertex * | destination | ) |
| explicit

## ◆ Edge() [2/2]

Ogre::LodData::Edge::Edge | ( | const Edge & | b | ) |

## Member Function Documentation

## ◆ operator==()

bool Ogre::LodData::Edge::operator== | ( | const Edge & | other | ) | const

## ◆ operator=()

Edge& Ogre::LodData::Edge::operator= | ( | const Edge & | b | ) |

## ◆ operator<()

bool Ogre::LodData::Edge::operator< | ( | const Edge & | other | ) | const

## Member Data Documentation

## ◆ dst

Vertex* Ogre::LodData::Edge::dst

## ◆ collapseCost

Real Ogre::LodData::Edge::collapseCost

## ◆ refCount

int Ogre::LodData::Edge::refCount

The documentation for this struct was generated from the following file:

- OgreLodData.h